com.sap.conn.jco

## Interface JCoAttributes

- All Superinterfaces:
    Serializable

      public interface JCoAttributes
      extends Serializable

  Encapsulates a number of attributes of a connection, such as codepage information, system information of the partner, and other useful data.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClient()` Retrieves the SAP client field from the attributes.
    `String` | `getCPICConversationID()` Retrieves the low-level CPIC conversion ID for a connection.
    `String` | `getDestination()` Retrieves the `dest` field of the connection attributes.
    `String` | `getHost()` Retrieves host field of the attributes, i.e.
    `String` | `getISOLanguage()` Retrieves the logon language field of the connection attributes and returns it as a two-byte character string.
    `String` | `getKernelRelease()` Retrieves the release of the remote SAP system's kernel.
    `String` | `getLanguage()` Retrieves the logon language field of the connection attributes and returns it as a one-byte character string.
    `int` | `getOwnBytesPerChar()` Returns the number of bytes per character for the currently used local codepage.
    `String` | `getOwnCharset()` Retrieves the Java charset equivalent of the local SAP codepage.
    `String` | `getOwnCodepage()` Retrieves the local codepage in SAP notation.
    `String` | `getOwnEncoding()` Retrieves the MIME encoding equivalent of the local SAP codepage.
    `int` | `getPartnerBytesPerChar()` Returns the number of bytes per character for the currently used remote codepage.
    `String` | `getPartnerCharset()` Retrieves the Java charset equivalent of the codepage used by the remote system.
    `String` | `getPartnerCodepage()` Retrieves the codepage used by the remote system in SAP notation.
    `String` | `getPartnerEncoding()` Retrieves the MIME encoding equivalent of the remote SAP codepage.
    `String` | `getPartnerHost()` Retrieves the partner host field of the attributes, i.e.
    `InetAddress` | `getPartnerInetAddress()` Retrieves the partner IP address as InetAddress.
    `String` | `getPartnerRelease()` Retrieves the release of the remote SAP system.
    `int` | `getPartnerReleaseNumber()` Returns the release number of the partner as an integer, e.g.
    `char` | `getPartnerType()` Retrieves the type which specifies the partner of the communication.
    `String` | `getRelease()` Retrieves the release of the local SAP system or transport library.
    `char` | `getRfcRole()` Retrieves the `rfc_role` field which describes the role of the connection.
    `String` | `getSSOTicket()` Retrieves the `sso_ticket` field.
    `String` | `getSystemID()` Retrieves the SAP system ID from the attributes.
    `String` | `getSystemNumber()` Retrieves the SAP system number from the attributes.
    `boolean` | `getTrace()` Retrieves the `trace` field of the attributes.
    `char` | `getType()` Retrieves the type which specifies the local program.
    `String` | `getUser()` Retrieves the user ID field from the connection attributes, the name of the user the connection is associated with.

- - ### Method Detail

    - #### getDestination

          String getDestination()

      Retrieves the `dest` field of the connection attributes.
      Returns:
        the destination as a string

    - #### getHost

          String getHost()

      Retrieves host field of the attributes, i.e. the name of the local host.
      Returns:
        local host name

    - #### getPartnerHost

          String getPartnerHost()

      Retrieves the partner host field of the attributes, i.e. the name of the remote host. Note: For load balanced destinations that are not sticky, the partner host will only be available, if the corresponding destination is stateful in the current context.
      Returns:
        the remote host name

    - #### getPartnerInetAddress

          InetAddress getPartnerInetAddress()

      Retrieves the partner IP address as InetAddress. A string representation of the IP address can be retrieved via `getHostAddress()` name of the remote host. If IPv6 is used, the an instance of `Inet6Address` will be returned, otherwise an instance of `Inet4Address`. Note: For load balanced destinations that are not sticky, the partner InetAddress will only be available, if the corresponding destination is stateful in the current context.
      Returns:
        the remote IP address as InetAddress
      Since:
        JCo 3.1.0

    - #### getSystemID

          String getSystemID()

      Retrieves the SAP system ID from the attributes.
      Returns:
        SAP SAP system ID

    - #### getSystemNumber

          String getSystemNumber()

      Retrieves the SAP system number from the attributes.
      Returns:
        SAP system number

    - #### getClient

          String getClient()

      Retrieves the SAP client field from the attributes.
      Returns:
        the SAP client

    - #### getUser

          String getUser()

      Retrieves the user ID field from the connection attributes, the name of the user the connection is associated with.
      Returns:
        SAP user ID

    - #### getLanguage

          String getLanguage()

      Retrieves the logon language field of the connection attributes and returns it as a one-byte character string.
      Returns:
        Single character logon language, e.g. "E","D".

    - #### getISOLanguage

          String getISOLanguage()

      Retrieves the logon language field of the connection attributes and returns it as a two-byte character string.
      Returns:
        2-byte ISO language, e.g. "EN", "DE".

    - #### getOwnCodepage

          String getOwnCodepage()

      Retrieves the local codepage in SAP notation.
      Returns:
        the local SAP code page (e.g. 1100, 8400, etc.)

    - #### getOwnCharset

          String getOwnCharset()

      Retrieves the Java charset equivalent of the local SAP codepage.
      Returns:
        the charset used by the local machine (e.g. ISO8859_1, KSC5601, etc.)

    - #### getOwnEncoding

          String getOwnEncoding()

      Retrieves the MIME encoding equivalent of the local SAP codepage.
      Returns:
        the MIME encoding used by the local machine (e.g. ISO-8856-1)

    - #### getOwnBytesPerChar

          int getOwnBytesPerChar()

      Returns the number of bytes per character for the currently used local codepage.
      Returns:
        the no. of bytes per character of the current codepage
      Since:
        JCo 3.0.2, 7.20

    - #### getPartnerCodepage

          String getPartnerCodepage()

      Retrieves the codepage used by the remote system in SAP notation.
      Returns:
        the remote SAP code page (e.g. 1100, 8400, etc.)

    - #### getPartnerCharset

          String getPartnerCharset()

      Retrieves the Java charset equivalent of the codepage used by the remote system.
      Returns:
        the charset used by the remote host (e.g. ISO8859_1, KSC5601, etc.)

    - #### getPartnerEncoding

          String getPartnerEncoding()

      Retrieves the MIME encoding equivalent of the remote SAP codepage.
      Returns:
        the MIME encoding used by the remote host (e.g. ISO-8856-1)

    - #### getPartnerBytesPerChar

          int getPartnerBytesPerChar()

      Returns the number of bytes per character for the currently used remote codepage.
      Returns:
        the no. of bytes per character of the remote codepage
      Since:
        JCo 3.0.2, 7.20

    - #### getRelease

          String getRelease()

      Retrieves the release of the local SAP system or transport library.
      Returns:
        Local SAP system release

    - #### getPartnerRelease

          String getPartnerRelease()

      Retrieves the release of the remote SAP system.
      Returns:
        Remote SAP system release

    - #### getKernelRelease

          String getKernelRelease()

      Retrieves the release of the remote SAP system's kernel.
      Returns:
        Remote system kernel release

    - #### getPartnerType

          char getPartnerType()

      Retrieves the type which specifies the partner of the communication.

      Valid partner types are:

      Value | Description
      --- | ---
      '3' | ABAP system
      'E' | External program
      'R' | Registered external program

      Returns:
        Remote partner type

    - #### getTrace

          boolean getTrace()

      Retrieves the `trace` field of the attributes.
      Returns:
        `true` if trace is enabled, `false` otherwise

    - #### getRfcRole

          char getRfcRole()

      Retrieves the `rfc_role` field which describes the role of the connection. Valid role values are:

      Value | Description
      --- | ---
      'C' | RFC Client
      'S' | RFC Server

      Returns:
        `'C'` if in client mode or `'S'` if in server mode

    - #### getType

          char getType()

      Retrieves the type which specifies the local program.

      Valid local system types are:

      Value | Description
      --- | ---
      'E' | External program
      'R' | Registered external program

      Returns:
        Local system type

    - #### getCPICConversationID

          String getCPICConversationID()

      Retrieves the low-level CPIC conversion ID for a connection. Note: The conversation ID will only be available, if the corresponding destination is stateful in the current context.
      Returns:
        CPIC Conversion ID

    - #### getSSOTicket

          String getSSOTicket()

      Retrieves the `sso_ticket` field.
      Returns:
        the sso_ticket or `null` if not set

    - #### getPartnerReleaseNumber

          int getPartnerReleaseNumber()

      Returns the release number of the partner as an integer, e.g.

      Number | Description
      --- | ---
      0 | unknown
      317 | R/3 3.1H
      400 | R/3 4.0A
      401 | R/3 4.0B
      450 | R/3 4.5A
      451 | R/3 4.5B
      461 | R/3 4.6B
      462 | R/3 4.6C
      610 | R/3 6.10
      620 | AS ABAP 6.20
      640 | AS ABAP 6.40
      700 | AS ABAP 7.00
      702 | AS ABAP 7.02
      711 | AS ABAP 7.11
      720 | AS ABAP 7.20
      740 | AS ABAP 7.40

      Returns:
        the release number as an integer

Copyright © 2016 SAP. All Rights Reserved.